{% load crispy_forms_tags %}
                            <!-- Modal -->
                            <div class="modal fade" id="paymentCreateModal-{{ installment_id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url client_id installment_id %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ create_form.create_date|as_crispy_field }}
                                          <div class="form-group">
                                          {{ create_form.payment.label }}
                                            {{ create_form.payment }}
                                            <div class="invalid-feedback" style="display: none" id="invalid_payment">
                                                Введенная сумма превышает сумму долга
                                            </div>
                                          </div>
                                          {% for hidden in create_form.hidden_fields %}
                                                {{ hidden }}
                                          {% endfor %}
                                      </form>
                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" id="create-submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>

<script type="application/javascript">
    (function () {
        let paymentInput = document.getElementById('id_payment')
        let submitButton = document.getElementById('create-submit')
        let invalidFeedBackDiv = document.getElementById('invalid_payment')
        paymentInput.oninput = () => {
            if (paymentInput.value > Number('{{ debt }}')){
                submitButton.disabled = true
                paymentInput.classList.add('is-invalid')
                invalidFeedBackDiv.style.display = "block"

            } else {
                submitButton.disabled = false
                paymentInput.classList.remove('is-invalid')
                invalidFeedBackDiv.style.display = "none"
            }
        }
    })()
</script>
